package com.gic.haoban.manage.web.qo.content.statistics;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author MUSI
 * @Date 2023/3/23 1:00 PM
 * @Description
 * @Version
 **/
@Data
public class MaterialAnalyzeDataQO extends MaterialStatisticsBaseQO {

    private static final long serialVersionUID = 3422937373665522931L;

    /**
     * 排序字段
     * 日均使用导购占比
     * 转化客户数
     */
    private String orderByField;

    /**
     * asc
     * desc
     */
    private String order;

    public Map<String, Integer> getFieldsOrder() {
        Map<String, Integer> map = new HashMap<>();
        map.put("enterpriseId", 1);
        map.put("useMatlDayNum", 11);
        map.put("useMatlNum", 12);
        map.put("singleMatlAvgCnt", 13);
        map.put("convsUserNum", 14);
        map.put("convsAmt", 15);
        map.put("offlineConvsUserNum", 16);
        map.put("offlineConvsAmt", 17);
        return map;
    }

    public String getDefaultFields() {
        return "enterpriseId";
    }
}
